// GDIPlusView.h : interface of the CGDIPlusView class
//


#pragma once


class CGDIPlusView : public CView
{
protected: // create from serialization only
	CGDIPlusView();
	DECLARE_DYNCREATE(CGDIPlusView)

// Attributes
public:
	CGDIPlusDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:

// Implementation
public:
	virtual ~CGDIPlusView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
//	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnPaint();
private:
	bool m_bUp;
	bool m_bRight;
	int m_radius;
	int cx;
	int cy;
public:
	afx_msg void OnGraphicsImage();
protected:
	enum	mode{Graphicpath,LinearGradient,Text,NoBuffering,DoubleBufferng,stretch,center};
	mode	m_DrawMode;
	UINT_PTR m_nTimer;
public:
	afx_msg void OnUpdateGraphicsImage(CCmdUI *pCmdUI);
	afx_msg void OnUpdateGraphicsGradientbrush(CCmdUI *pCmdUI);
	afx_msg void OnGraphicsGradientbrush();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnGraphicsBackground();
	afx_msg void OnUpdateGraphicsBackground(CCmdUI *pCmdUI);
	afx_msg void OnBufferingNobuffering();
	afx_msg void OnBufferingDoublebuffering();
	afx_msg void OnGraphicsTextandimage();
	afx_msg void OnUpdateGraphicsTextandimage(CCmdUI *pCmdUI);
	afx_msg void OnGraphicsRotateimage();
	afx_msg void OnUpdateGraphicsRotateimage(CCmdUI *pCmdUI);
private:
	bool m_bRotate;
public:
	afx_msg void OnBackgroundCenter();
	afx_msg void OnUpdateBackgroundCenter(CCmdUI *pCmdUI);
	afx_msg void OnBackgroundStretch();
	afx_msg void OnUpdateBackgroundStretch(CCmdUI *pCmdUI);
};

#ifndef _DEBUG  // debug version in GDIPlusView.cpp
inline CGDIPlusDoc* CGDIPlusView::GetDocument() const
   { return reinterpret_cast<CGDIPlusDoc*>(m_pDocument); }
#endif

